#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QWidget(parent)
{
    // nektere widgety jsou pripravene v .h souboru
    this->setWindowTitle(tr("Převodník teplot"));
    QHBoxLayout *hbox = new QHBoxLayout();
    QVBoxLayout *vbox = new QVBoxLayout();

    QFrame *frame_left = new QFrame();
    frame_left->setLayout(vbox);

    QGroupBox *groupBox = new QGroupBox(tr("Směr převodu"));
    QHBoxLayout *radioLayout = new QHBoxLayout();
    radio1 = new QRadioButton(tr("C -> F"));
    radio2 = new QRadioButton(tr("F -> C"));
    radio1->setChecked(true);

    radioLayout->addWidget(radio1);
    radioLayout->addWidget(radio2);
    radioLayout->setAlignment(Qt::AlignCenter);

    groupBox->setLayout(radioLayout);
    vbox->addWidget(groupBox);

    hbox->addWidget(frame_left);

    setLayout(hbox);

}

void MainWindow::compute()
{
    double val = this->txtVstup->text().toDouble();
    double newVal = 0.0;
    if(radio1->isChecked())
    {
        newVal = 9*val/5 + 32;
    }
    else
    {
        newVal = 5*(val-32)/9;
    }
    int dec_nums = this->spinbox->text().toInt();
    double pow_10 = pow(10.0f, dec_nums);
    newVal = round(newVal * pow_10) / pow_10;

    QString q = QString::number(newVal);
    this->txtVystup->setText(q);
}

MainWindow::~MainWindow()
{

}
